<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="VOTING-LIST">
	<xsl:call-template name="MODULE-CSS"/>
	<xsl:choose>
		<xsl:when test="@error!='0'">
       		<center><b><xsl:value-of select="@error"/></b></center>
      	</xsl:when>
		<xsl:otherwise>
			<form method="POST" name="voting">
				<input type="hidden" name="votingId">
					<xsl:attribute name="value"><xsl:value-of select="@VOTING-ID"/></xsl:attribute>
				</input>
				<input type="hidden" name="voting_result" value="1"/>
				<table cellpadding="0" cellspacing="0" border="0" width="100%" class="mod-form" style="margin: 10px 0;">
						<tr>
							<td colspan="2" style="padding: 10px;">
								<xsl:apply-templates select="QUESTION"/>
							</td>
						</tr>
						<xsl:apply-templates select="ANSWERS"/>
						<tr>
							<td colspan="2" class="mod-form-title" style="padding: 10px;">
								<input type="submit" name="submit">
									<xsl:attribute name="value"><xsl:value-of select="SUBMIT/@value"/></xsl:attribute>
									<xsl:if test="SUBMIT/@disabled=1">
										<xsl:attribute name="disabled"></xsl:attribute>
									</xsl:if>	
								</input>
							</td>
						</tr>
				</table>
			</form>
		</xsl:otherwise>	
	</xsl:choose>	
</xsl:template>

<xsl:template match="QUESTION">
	<xsl:apply-templates select="*|text()"/>
</xsl:template>

<xsl:template match="QUESTION//@*|QUESTION//comment()|QUESTION//text()">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="QUESTION//*">
<xsl:copy>
	<xsl:apply-templates select="*|@*|comment()|text()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="ANSWERS/ANSWER">
	<tr>
		<td colspan="2" class="mod-form-title" style="padding-left: 20px; padding-top: 5px;">
			<input type="radio" name="answers">
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:if test="@checked=1">
					<xsl:attribute name="checked"><xsl:value-of select="@checked"/></xsl:attribute>
				</xsl:if>
			</input>
			<xsl:value-of select="@value"/>
		</td>
	</tr>
</xsl:template>

</xsl:stylesheet>